/* file sssc.h */
 
/* SSS - Simulation Subroutine Set. Version 1.00
   Copyright (C) M. A. Pollatschek 1990.  All rights reserved.
*/
 
double A(int);
double AIC(int,int);
double AIQ(int,int,int);
double BE(double,double);
int    BI(int,double);
double CD(double *,double *,int);
void   CLEARQ(int);
void   CLEARS(int);
void   CREATE(double,int);
void   DISPOS(void);
double DP(double *,int);
double ER(double,int);
double EX(double);
double GA(double,double);
int    IDE(void);
int    IDIC(int);
int    IDIQ(int,int);
void   INIQUE(int,int,int);
void   INISTA(int,char near *,int,int,double,double);
int    NC(void);
int    NCEN(void);
int    NEIC(int);
int    NEXTEV(void);
int    NP(double);
int    NQ(int);
double PRIQ(int,int);
double QAVG(int);
int    QDC(int);
double QMAX(int);
double QMIN(int);
double QNUM(int);
double QSTD(int);
void   QUEUE(int,double);
double RA(void);
void   REMVFC(int);
void   REMVFQ(int,int);
double RL(double,double);
double RN(double,double);
double SAVG(int);
void   SCHED(double,int,int);
void   SETA(int,double);
void   SETANT(int);
void   SETDEB(int);
void   SETIDE(int);
void   SETQDC(int,char near *);
void   SETSEE(int);
void   SETT(double);
void   SIMEND(double);
void   SHOWQ(int);
double SMAX(int);
double SMIN(int);
double SNUM(int);
double SSTD(int);
void   SUMRY(char near *);
double T(void);
void   TALLY(int,double);
double TIC(int);
double TR(double,double,double);
double UN(double,double);
double WE(double,double);