C file SSSF1.H
 
C SSS - Simulation Subroutine Set. Version 1.00
C Copyright (C) M. A. Pollatschek 1990. All rights reserved
 
 
        INTERFACE TO FUNCTION A[C]
     +          (n)
        REAL*8 A
        INTEGER[C] n
        END
 
        INTERFACE TO FUNCTION AIC[C]
     +          (r, n)
        REAL*8 AIC
        INTEGER[C] r, n
        END
 
        INTERFACE TO FUNCTION AIQ[C]
     +          (m, r, n)
        REAL*8 AIQ
        INTEGER[C] m, r, n
        END
 
        INTERFACE TO FUNCTION BE[C]
     +          (W, U)
        REAL*8 BE, W, U
        END
 
        INTERFACE TO FUNCTION BI[C]
     +          (N, P)
        REAL*8 P
        INTEGER[C] BI, N
        END
 
        INTERFACE TO FUNCTION CD[C]
     +          (X, P, N)
        REAL*8 CD, X(1), P(1)
        INTEGER[C] N
        END
 
        INTERFACE TO SUBROUTINE CLEARQ[C]
     +          (m)
        INTEGER[C] m
        END
 
        INTERFACE TO SUBROUTINE CLEARS[C]
     +          (j)
        INTEGER[C] j
        END
 
        INTERFACE TO SUBROUTINE CREATE[C]
     +          (g, i)
        REAL*8 g
        INTEGER[C] i
        END
 
        INTERFACE TO SUBROUTINE DISPOSE[C]
        END
 
        INTERFACE TO FUNCTION DP[C]
     +          (V, N)
        REAL*8 DP, V(1)
        INTEGER[C] N
        END
 
        INTERFACE TO FUNCTION ER[C]
     +          (M, K)
        REAL*8 ER, M
        INTEGER[C] K
        END
 
        INTERFACE TO FUNCTION EX[C]
     +          (M)
        REAL*8 EX, M
        END
 
        INTERFACE TO FUNCTION GA[C]
     +          (W, U)
        REAL*8 GA, W, U
        END
 
        INTERFACE TO FUNCTION IDE[C]
        INTEGER[C] IDE
        END
 
        INTERFACE TO FUNCTION IDIC[C]
     +          (r)
        INTEGER[C] IDIC, r
        END
 
        INTERFACE TO FUNCTION IDIQ[C]
     +          (m, r)
        INTEGER[C] IDIQ, m, r
        END
 
        INTERFACE TO SUBROUTINE INIQUE[C]
     +          (q, a, s)
        INTEGER[C] q, a, s
        END
 
        INTERFACE TO SUBROUTINE INISTA[C]
     +          (j, h, k, l, f, w)
        INTEGER[C] j, k, l
        CHARACTER*1 h[NEAR, REFERENCE]
        REAL*8 f, w
        END
 
        INTERFACE TO FUNCTION NC[C]
        INTEGER[C] NC
        END
 
        INTERFACE TO FUNCTION NCEN[C]
        INTEGER[C] NCEN
        END
 
        INTERFACE TO FUNCTION NEIC[C]
     +          (r)
        INTEGER[C] NEIC, r
        END
 
        INTERFACE TO FUNCTION NEXTEV[C]
        INTEGER[C] NEXTEV
        END
 
        INTERFACE TO FUNCTION NP[C]
     +          (M)
        INTEGER[C] NP
        REAL*8 M
        END
 
        INTERFACE TO FUNCTION NQ[C]
     +          (m)
        INTEGER[C] NQ, m
        END
 
        INTERFACE TO FUNCTION PRIQ[C]
     +          (m, r)
        REAL*8 PRIQ
        INTEGER[C] m, r
        END
 
        INTERFACE TO FUNCTION QAVG[C]
     +          (m)
        REAL*8 QAVG
        INTEGER[C] m
        END
 
        INTERFACE TO FUNCTION QDC[C]
     +          (m)
        INTEGER[C] QDC, m
        END
 
        INTERFACE TO FUNCTION QMAX[C]
     +          (m)
        REAL*8 QMAX
        INTEGER[C] m
        END
 
        INTERFACE TO FUNCTION QMIN[C]
     +          (m)
        REAL*8 QMIN
        INTEGER[C] m
        END
 
        INTERFACE TO FUNCTION QNUM[C]
     +          (m)
        REAL*8 QNUM
        INTEGER[C] m
        END
 
        INTERFACE TO FUNCTION QSTD[C]
     +          (m)
        REAL*8 QSTD
        INTEGER[C] m
        END
 
        INTERFACE TO SUBROUTINE QUEUE[C]
     +          (m, p)
        INTEGER[C] m
        REAL*8 p
        END
 
        INTERFACE TO FUNCTION RA[C]
        REAL*8 RA
        END
 
        INTERFACE TO SUBROUTINE REMVFC[C]
     +          (r)
        INTEGER[C] r
        END
 
        INTERFACE TO SUBROUTINE REMVFQ[C]
     +          (m, r)
        INTEGER[C] m, r
        END
 
        INTERFACE TO FUNCTION RL[C]
     +          (M, S)
        REAL*8 RL, M, S
        END
 
        INTERFACE TO FUNCTION RN[C]
     +          (M, S)
        REAL*8 RN, M, S
        END
 
        INTERFACE TO FUNCTION SAVG[C]
     +          (j)
        REAL*8 SAVG
        INTEGER[C] j
        END
 
        INTERFACE TO SUBROUTINE SCHED[C]
     +          (t, e, i)
        REAL*8 t
        INTEGER[C] e, i
        END
 
        INTERFACE TO SUBROUTINE SETA[C]
     +          (n, v)
        REAL*8 v
        INTEGER[C] n
        END
 
        INTERFACE TO SUBROUTINE SETANT[C]
     +          (y)
        INTEGER[C] y
        END
 
        INTERFACE TO SUBROUTINE SETDEB[C]
     +          (o)
        INTEGER[C] o
        END
 
        INTERFACE TO SUBROUTINE SETIDE[C]
     +          (i)
        INTEGER[C] i
        END
 
        INTERFACE TO SUBROUTINE SETQDC[C]
     +          (m, d)
        INTEGER[C] m
        CHARACTER*1 d[NEAR,REFERENCE]
        END
 
        INTERFACE TO SUBROUTINE SETSEE[C]
     +          (x)
        INTEGER[C] x
        END
 
        INTERFACE TO SUBROUTINE SETT[C]
     +          (t)
        REAL*8 t
        END
 
        INTERFACE TO SUBROUTINE SHOWQ[C]
     +          (m)
        INTEGER[C] m
        END
 
        INTERFACE TO SUBROUTINE SIMEND[C]
     +          (t)
        REAL*8 t
        END
 
        INTERFACE TO FUNCTION SMAX[C]
     +          (j)
        REAL*8 SMAX
        INTEGER[C] j
        END
 
        INTERFACE TO FUNCTION SMIN[C]
     +          (j)
        REAL*8 SMIN
        INTEGER[C] j
        END
 
        INTERFACE TO FUNCTION SNUM[C]
     +          (j)
        REAL*8 SNUM
        INTEGER[C] j
        END
 
        INTERFACE TO FUNCTION SSTD[C]
     +          (j)
        REAL*8 SSTD
        INTEGER[C] J
        END
 
        INTERFACE TO SUBROUTINE SUMRY[C]
     +          (u)
        CHARACTER*1 u[NEAR,REFERENCE]
        END
 
        INTERFACE TO FUNCTION T[C]
        REAL*8 T
        END
 
        INTERFACE TO SUBROUTINE TALLY[C]
     +          (j, v)
        REAL*8 v
        INTEGER[C] j
        END
 
        INTERFACE TO FUNCTION TIC[C]
     +          (r)
        REAL*8 TIC
        INTEGER[C] r
        END
 
        INTERFACE TO FUNCTION TR[C]
     +          (A, B, C)
        REAL*8 TR, A, B, C
        END
 
        INTERFACE TO FUNCTION UN[C]
     +          (A, C)
        REAL*8 UN, A, C
        END
 
        INTERFACE TO FUNCTION WE[C]
     +          (W, U)
        REAL*8 WE, W, U
        END
 