echo off
goto start
rem                          SSSPRJ.BAT
rem         Batch file to produce Project file for TurboC
rem
rem                     Author: M. A. Pollatschek
rem
rem                         IMPORTANT NOTE
rem
rem THIS PROCEDURE,  ITS USE,  OPERATION  AND SUPPORT  IS PROVIDED  "AS  IS"
rem WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,BUT
rem NOT LIMITED TO,  THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND  FITNESS
rem FOR A  PARTICULAR  PURPOSE.   THE  ENTIRE RISK  AS  TO THE  QUALITY  AND
rem PERFORMANCE OF  THIS  PROGRAM IS  WITH  THE USER.    IN NO  EVENT  SHALL
rem THE AUTHOR AND/OR THE PUBLISHER  BE  LIABLE  FOR ANY  DAMAGES INCLUDING,
rem WITHOUT LIMITATION,  ANY  LOST PROFITS, LOST SAVINGS OR OTHER INCIDENTAL
rem OR CONSEQUENTIAL  DAMAGES  ARISING  THE  USE  OR  INABILITY  TO USE SUCH
rem PROGRAM,  EVEN  IF  THE AUTHOR AND/OR THE PUBLISHER  BEEN ADVISED OF THE
rem POSSIBILITY  OF SUCH  DAMAGES  OR  FOR  ANY  CLAIM  BY  ANY OTHER PARTY.
:usage
echo Usage: SSSPRJ program
echo 
echo Where program is the base name WITHOUT C extension
goto end
:start
if "%1" == "" goto usage
if exist DOT_IN.EXE goto dotch
echo SSSPRJ: DOT_IN.EXE is not found on current directory. Please, copy it
goto end
:dotch
dot_in %1
if not errorlevel 1 goto produce
echo SSSPRJ: %1 has an extension - it should not
echo 
goto usage
:produce
echo %1.c  ssst.lib > %1.prj
echo Now you have the Project file %1.PRJ for %1.C ready.
echo 
echo Include the PRJ file into TurboC environment by the following steps:
echo * Enter to Project menu
echo * Chose Project name
echo * Hit RETURN when you see *.PRJ in a small window
echo * Chose the project belonging to the program from the window
echo 
echo You can now simulate WITHOUT leaving the integrated environment
echo provided SSST.LIB is on current directory. You may prepare SSST.LIB
echo with SSSLIB.BAT
echo 
echo Going to load %1.C to Turbo Pascal environment.
echo You may abort now by Control-C
pause
echo on
TC %1.C
:end
 